const timeScale = d3.scaleTime() 
	.domain([new Date(2016, 0, 1), new Date(2017, 0, 1)])
	.range([60, 900])

var myData = [
  new Date(2016, 0, 1), 
  new Date(2016, 3, 1), 
  new Date(2016, 6, 1), 
  new Date(2017, 0, 1)
];

d3.select('.scaleTime')
	.selectAll('circle')
	.data(myData)
	.join('circle')
		.attr('r', 4)
		.attr('cx', d => timeScale(d))
		.attr('cy', 200)

d3.select('.scaleTime')
	.selectAll('text')
	.data(myData)
	.join('text')
		.attr('x', d => timeScale(d))
		.attr('y', 220)
		.text(d => d.toDateString())
		.style('text-anchor', 'middle')